この文章は Salesforce 機械翻訳システムを使用して翻訳されました。詳細はこちらをご参照ください。
英語に切り替える

Standard Invocable Actions

静的に呼び出し可能なアクションのリストを返します。また、アクション種別ごとに基本情報を取得することもできます。

このリソースは REST API バージョン 32.0 以降で使用できます。

構文

URI
標準アクションのリストを取得する場合:
/vXX.X/actions/standard
形式
JSON
HTTP メソッド
GET、HEAD、POST
認証
Authorization: Bearer token
パラメータ
なし
メモ
Salesforce 注文管理アクションは、フローで使用することを目的としています。標準アクション URI は、これらのアクションに関する情報を取得するためにのみ使用できます。これらのアクションをコードで使用するには、対応する Connect REST API エンドポイントまたは Apex ConnectApi メソッドをコールします。詳細は、『Connect REST API Developer Guide (Connect REST API 開発者ガイド)』「Salesforce Order Management Resources (Salesforce 注文管理リソース)」『Apex 開発者ガイド』「ConnectApi 名前空間」を参照してください。
Chatter への投稿アクションでは、本文の投稿で特殊な形式を使用する次の機能がサポートされています。
  • @[<id>] を使用する @メンション
  • #[<topicString>] を使用するトピックリンク
たとえば、「Hi @[005000000000001], check out #[some_topic]」という文字列は「Hi @Joe, check out #some_topic」として適切に保存されます。ここで、「@Joe」と「#some_topic」は、それぞれユーザおよびトピックへのリンクです。

現在の組織の標準アクションのリストの取得
1/services/data/v46.0/actions/standard
JSON レスポンスボディ
1{
2  "actions" : [ {
3    "label" : "Post to Chatter",
4    "name" : "chatterPost",
5    "type" : "CHATTERPOST",
6    "url" : "/services/data/v46.0/actions/standard/chatterPost"
7  }, {
8    "label" : "Enable Folder Support for a Content Workspace (Library)",
9    "name" : "contentWorkspaceEnableFolders",
10    "type" : "CONTENTWORKSPACE_ENABLE_FOLDERS",
11    "url" : "/services/data/v46.0/actions/standard/contentWorkspaceEnableFolders"
12  }, {
13    "label" : "Send Email",
14    "name" : "emailSimple",
15    "type" : "EMAILSIMPLE",
16    "url" : "/services/data/v46.0/actions/standard/emailSimple"
17  }, {
18    "label" : "Submit for Approval",
19    "name" : "submit",
20    "type" : "SUBMITAPPROVAL",
21    "url" : "/services/data/v46.0/actions/standard/submit"
22  }, {
23    "label" : "Deactivate Session-Based Permission Set",
24    "name" : "deactivateSessionPermSet",
25    "type" : "DEACTIVATE_SESSION_PERM_SET",
26    "url" : "/services/data/v46.0/actions/standard/deactivateSessionPermSet"
27  }, {
28    "label" : "Activate Session-Based Permission Set",
29    "name" : "activateSessionPermSet",
30    "type" : "ACTIVATE_SESSION_PERM_SET",
31    "url" : "/services/data/v46.0/actions/standard/activateSessionPermSet"
32  }, {
33    "label" : "Choose Price Book",
34    "name" : "choosePricebook",
35    "type" : "CHOOSE_PRICEBOOK",
36    "url" : "/services/data/v46.0/actions/standard/choosePricebook"
37  }, {
38    "label" : "Routing Address Verification",
39    "name" : "routingAddressVerification",
40    "type" : "ROUTING_ADDRESS_VERIFICATION",
41    "url" : "/services/data/v46.0/actions/standard/routingAddressVerification"
42  }, {
43    "label" : "Create Customer Contact Request",
44    "name" : "contactRequestAction",
45    "type" : "CONTACT_REQUEST_ACTION",
46    "url" : "/services/data/v46.0/actions/standard/contactRequestAction"
47  }, {
48    "label" : "Publish Managed Content Release",
49    "name" : "managedContentReleasePublish",
50    "type" : "MANAGED_CONTENT_RELEASE_PUBLISH",
51    "url" : "/services/data/v46.0/actions/standard/managedContentReleasePublish"
52  } ]
53}
1 つの標準アクションの属性の取得 (例: emailSimple)
/services/data/v46.0/actions/standard/emailSimple
JSON レスポンスボディ
1{
2"category" : "Email",
3"description" : "Send an email where you specify the subject, body, and recipients.",
4"inputs" : [ {
5  "apexClass" : null,
6  "byteLength" : 0,
7  "description" : "Optional. The email recipients specified as a comma-separated list.",
8  "label" : "Email Addresses (comma-separated)",
9  "maxOccurs" : 1,
10  "name" : "emailAddresses",
11  "picklistValues" : null,
12  "required" : false,
13  "sobjectType" : null,
14  "type" : "STRING"
15}, {
16  "apexClass" : null,
17  "byteLength" : 0,
18  "description" : "Optional. The email recipients specified as a collection of Strings.",
19  "label" : "Email Addresses (collection)",
20  "maxOccurs" : 5,
21  "name" : "emailAddressesArray",
22  "picklistValues" : null,
23  "required" : false,
24  "sobjectType" : null,
25  "type" : "STRING"
26}, {
27  "apexClass" : null,
28  "byteLength" : 0,
29  "description" : "Optional. Who the email is from. Defaults to the current user.",
30  "label" : "Sender Type",
31  "maxOccurs" : 1,
32  "name" : "senderType",
33  "picklistValues" : null,
34  "required" : false,
35  "sobjectType" : null,
36  "type" : "STRING"
37}, {
38  "apexClass" : null,
39  "byteLength" : 0,
40  "description" : "Optional. The org-wide email address to be used as the sender.",
41  "label" : "Sender Address",
42  "maxOccurs" : 1,
43  "name" : "senderAddress",
44  "picklistValues" : null,
45  "required" : false,
46  "sobjectType" : null,
47  "type" : "STRING"
48}, {
49  "apexClass" : null,
50  "byteLength" : 0,
51  "description" : "Required. The email's subject.",
52  "label" : "Subject",
53  "maxOccurs" : 1,
54  "name" : "emailSubject",
55  "picklistValues" : null,
56  "required" : true,
57  "sobjectType" : null,
58  "type" : "STRING"
59}, {
60  "apexClass" : null,
61  "byteLength" : 0,
62  "description" : "Required. The body of the email in plain text.",
63  "label" : "Body",
64  "maxOccurs" : 1,
65  "name" : "emailBody",
66  "picklistValues" : null,
67  "required" : true,
68  "sobjectType" : null,
69  "type" : "TEXTAREA"
70} ],
71  "label" : "Send Email",
72  "name" : "emailSimple",
73  "outputs" : [ ],
74  "standard" : true,
75  "targetEntityName" : null,
76  "type" : "EMAILSIMPLE"
77}